public class AuthenticationApi extends Object
| Constructor and Description |
|---|
AuthenticationApi() |
AuthenticationApi(ApiClient apiClient) |
| Modifier and Type | Method and Description |
|---|---|
void |
changePassword(String account,
String body)
Changes a user’s password.
|
void |
changePassword(String account,
String body,
String xRequestId)
Changes a user’s password.
|
okhttp3.Call |
changePasswordAsync(String account,
String body,
String xRequestId,
ApiCallback<Void> _callback)
Changes a user’s password.
|
okhttp3.Call |
changePasswordCall(String account,
String body,
String xRequestId,
ApiCallback _callback)
Build call for changePassword
|
ApiResponse<Void> |
changePasswordWithHttpInfo(String account,
String body)
Changes a user’s password.
|
ApiResponse<Void> |
changePasswordWithHttpInfo(String account,
String body,
String xRequestId)
Changes a user’s password.
|
void |
enableAuthenticator(ServiceAuthenticators authenticator,
String account)
Enables or disables authenticator defined without service_id.
|
void |
enableAuthenticator(ServiceAuthenticators authenticator,
String account,
String xRequestId,
Boolean enabled)
Enables or disables authenticator defined without service_id.
|
okhttp3.Call |
enableAuthenticatorAsync(ServiceAuthenticators authenticator,
String account,
String xRequestId,
Boolean enabled,
ApiCallback<Void> _callback)
Enables or disables authenticator defined without service_id.
|
okhttp3.Call |
enableAuthenticatorCall(ServiceAuthenticators authenticator,
String account,
String xRequestId,
Boolean enabled,
ApiCallback _callback)
Build call for enableAuthenticator
|
void |
enableAuthenticatorInstance(ServiceAuthenticators authenticator,
String serviceId,
String account)
Enables or disables authenticator service instances.
|
void |
enableAuthenticatorInstance(ServiceAuthenticators authenticator,
String serviceId,
String account,
String xRequestId,
Boolean enabled)
Enables or disables authenticator service instances.
|
okhttp3.Call |
enableAuthenticatorInstanceAsync(ServiceAuthenticators authenticator,
String serviceId,
String account,
String xRequestId,
Boolean enabled,
ApiCallback<Void> _callback)
Enables or disables authenticator service instances.
|
okhttp3.Call |
enableAuthenticatorInstanceCall(ServiceAuthenticators authenticator,
String serviceId,
String account,
String xRequestId,
Boolean enabled,
ApiCallback _callback)
Build call for enableAuthenticatorInstance
|
ApiResponse<Void> |
enableAuthenticatorInstanceWithHttpInfo(ServiceAuthenticators authenticator,
String serviceId,
String account)
Enables or disables authenticator service instances.
|
ApiResponse<Void> |
enableAuthenticatorInstanceWithHttpInfo(ServiceAuthenticators authenticator,
String serviceId,
String account,
String xRequestId,
Boolean enabled)
Enables or disables authenticator service instances.
|
ApiResponse<Void> |
enableAuthenticatorWithHttpInfo(ServiceAuthenticators authenticator,
String account)
Enables or disables authenticator defined without service_id.
|
ApiResponse<Void> |
enableAuthenticatorWithHttpInfo(ServiceAuthenticators authenticator,
String account,
String xRequestId,
Boolean enabled)
Enables or disables authenticator defined without service_id.
|
String |
getAccessToken(String account,
String login,
String body)
Gets a short-lived access token, which is required in the header of most subsequent API requests.
|
String |
getAccessToken(String account,
String login,
String body,
String acceptEncoding,
String xRequestId)
Gets a short-lived access token, which is required in the header of most subsequent API requests.
|
okhttp3.Call |
getAccessTokenAsync(String account,
String login,
String body,
String acceptEncoding,
String xRequestId,
ApiCallback<String> _callback)
Gets a short-lived access token, which is required in the header of most subsequent API requests.
|
okhttp3.Call |
getAccessTokenCall(String account,
String login,
String body,
String acceptEncoding,
String xRequestId,
ApiCallback _callback)
Build call for getAccessToken
|
String |
getAccessTokenViaAWS(String serviceId,
String account,
String login,
String body)
Get a short-lived access token for applications running in AWS.
|
String |
getAccessTokenViaAWS(String serviceId,
String account,
String login,
String body,
String acceptEncoding,
String xRequestId)
Get a short-lived access token for applications running in AWS.
|
okhttp3.Call |
getAccessTokenViaAWSAsync(String serviceId,
String account,
String login,
String body,
String acceptEncoding,
String xRequestId,
ApiCallback<String> _callback)
Get a short-lived access token for applications running in AWS.
|
okhttp3.Call |
getAccessTokenViaAWSCall(String serviceId,
String account,
String login,
String body,
String acceptEncoding,
String xRequestId,
ApiCallback _callback)
Build call for getAccessTokenViaAWS
|
ApiResponse<String> |
getAccessTokenViaAWSWithHttpInfo(String serviceId,
String account,
String login,
String body)
Get a short-lived access token for applications running in AWS.
|
ApiResponse<String> |
getAccessTokenViaAWSWithHttpInfo(String serviceId,
String account,
String login,
String body,
String acceptEncoding,
String xRequestId)
Get a short-lived access token for applications running in AWS.
|
String |
getAccessTokenViaAzure(String serviceId,
String account,
String login)
Gets a short-lived access token for applications running in Azure.
|
String |
getAccessTokenViaAzure(String serviceId,
String account,
String login,
String acceptEncoding,
String xRequestId,
String jwt)
Gets a short-lived access token for applications running in Azure.
|
okhttp3.Call |
getAccessTokenViaAzureAsync(String serviceId,
String account,
String login,
String acceptEncoding,
String xRequestId,
String jwt,
ApiCallback<String> _callback)
Gets a short-lived access token for applications running in Azure.
|
okhttp3.Call |
getAccessTokenViaAzureCall(String serviceId,
String account,
String login,
String acceptEncoding,
String xRequestId,
String jwt,
ApiCallback _callback)
Build call for getAccessTokenViaAzure
|
ApiResponse<String> |
getAccessTokenViaAzureWithHttpInfo(String serviceId,
String account,
String login)
Gets a short-lived access token for applications running in Azure.
|
ApiResponse<String> |
getAccessTokenViaAzureWithHttpInfo(String serviceId,
String account,
String login,
String acceptEncoding,
String xRequestId,
String jwt)
Gets a short-lived access token for applications running in Azure.
|
String |
getAccessTokenViaGCP(String account)
Gets a short-lived access token for applications running in Google Cloud Platform.
|
String |
getAccessTokenViaGCP(String account,
String acceptEncoding,
String xRequestId,
String jwt)
Gets a short-lived access token for applications running in Google Cloud Platform.
|
okhttp3.Call |
getAccessTokenViaGCPAsync(String account,
String acceptEncoding,
String xRequestId,
String jwt,
ApiCallback<String> _callback)
Gets a short-lived access token for applications running in Google Cloud Platform.
|
okhttp3.Call |
getAccessTokenViaGCPCall(String account,
String acceptEncoding,
String xRequestId,
String jwt,
ApiCallback _callback)
Build call for getAccessTokenViaGCP
|
ApiResponse<String> |
getAccessTokenViaGCPWithHttpInfo(String account)
Gets a short-lived access token for applications running in Google Cloud Platform.
|
ApiResponse<String> |
getAccessTokenViaGCPWithHttpInfo(String account,
String acceptEncoding,
String xRequestId,
String jwt)
Gets a short-lived access token for applications running in Google Cloud Platform.
|
String |
getAccessTokenViaJWT(String account,
String serviceId)
Gets a short-lived access token for applications using JSON Web Token (JWT) to access the Conjur API.
|
String |
getAccessTokenViaJWT(String account,
String serviceId,
String xRequestId,
String jwt)
Gets a short-lived access token for applications using JSON Web Token (JWT) to access the Conjur API.
|
okhttp3.Call |
getAccessTokenViaJWTAsync(String account,
String serviceId,
String xRequestId,
String jwt,
ApiCallback<String> _callback)
Gets a short-lived access token for applications using JSON Web Token (JWT) to access the Conjur API.
|
okhttp3.Call |
getAccessTokenViaJWTCall(String account,
String serviceId,
String xRequestId,
String jwt,
ApiCallback _callback)
Build call for getAccessTokenViaJWT
|
ApiResponse<String> |
getAccessTokenViaJWTWithHttpInfo(String account,
String serviceId)
Gets a short-lived access token for applications using JSON Web Token (JWT) to access the Conjur API.
|
ApiResponse<String> |
getAccessTokenViaJWTWithHttpInfo(String account,
String serviceId,
String xRequestId,
String jwt)
Gets a short-lived access token for applications using JSON Web Token (JWT) to access the Conjur API.
|
String |
getAccessTokenViaJWTWithId(String account,
String id,
String serviceId)
Gets a short-lived access token for applications using JSON Web Token (JWT) to access the Conjur API.
|
String |
getAccessTokenViaJWTWithId(String account,
String id,
String serviceId,
String xRequestId,
String jwt)
Gets a short-lived access token for applications using JSON Web Token (JWT) to access the Conjur API.
|
okhttp3.Call |
getAccessTokenViaJWTWithIdAsync(String account,
String id,
String serviceId,
String xRequestId,
String jwt,
ApiCallback<String> _callback)
Gets a short-lived access token for applications using JSON Web Token (JWT) to access the Conjur API.
|
okhttp3.Call |
getAccessTokenViaJWTWithIdCall(String account,
String id,
String serviceId,
String xRequestId,
String jwt,
ApiCallback _callback)
Build call for getAccessTokenViaJWTWithId
|
ApiResponse<String> |
getAccessTokenViaJWTWithIdWithHttpInfo(String account,
String id,
String serviceId)
Gets a short-lived access token for applications using JSON Web Token (JWT) to access the Conjur API.
|
ApiResponse<String> |
getAccessTokenViaJWTWithIdWithHttpInfo(String account,
String id,
String serviceId,
String xRequestId,
String jwt)
Gets a short-lived access token for applications using JSON Web Token (JWT) to access the Conjur API.
|
String |
getAccessTokenViaKubernetes(String serviceId,
String account,
String login)
Gets a short-lived access token for applications running in Kubernetes.
|
String |
getAccessTokenViaKubernetes(String serviceId,
String account,
String login,
String acceptEncoding,
String xRequestId)
Gets a short-lived access token for applications running in Kubernetes.
|
okhttp3.Call |
getAccessTokenViaKubernetesAsync(String serviceId,
String account,
String login,
String acceptEncoding,
String xRequestId,
ApiCallback<String> _callback)
Gets a short-lived access token for applications running in Kubernetes.
|
okhttp3.Call |
getAccessTokenViaKubernetesCall(String serviceId,
String account,
String login,
String acceptEncoding,
String xRequestId,
ApiCallback _callback)
Build call for getAccessTokenViaKubernetes
|
ApiResponse<String> |
getAccessTokenViaKubernetesWithHttpInfo(String serviceId,
String account,
String login)
Gets a short-lived access token for applications running in Kubernetes.
|
ApiResponse<String> |
getAccessTokenViaKubernetesWithHttpInfo(String serviceId,
String account,
String login,
String acceptEncoding,
String xRequestId)
Gets a short-lived access token for applications running in Kubernetes.
|
String |
getAccessTokenViaLDAP(String serviceId,
String account,
String login)
Gets a short-lived access token for users and hosts using their LDAP identity to access the Conjur API.
|
String |
getAccessTokenViaLDAP(String serviceId,
String account,
String login,
String acceptEncoding,
String xRequestId,
String body)
Gets a short-lived access token for users and hosts using their LDAP identity to access the Conjur API.
|
okhttp3.Call |
getAccessTokenViaLDAPAsync(String serviceId,
String account,
String login,
String acceptEncoding,
String xRequestId,
String body,
ApiCallback<String> _callback)
Gets a short-lived access token for users and hosts using their LDAP identity to access the Conjur API.
|
okhttp3.Call |
getAccessTokenViaLDAPCall(String serviceId,
String account,
String login,
String acceptEncoding,
String xRequestId,
String body,
ApiCallback _callback)
Build call for getAccessTokenViaLDAP
|
ApiResponse<String> |
getAccessTokenViaLDAPWithHttpInfo(String serviceId,
String account,
String login)
Gets a short-lived access token for users and hosts using their LDAP identity to access the Conjur API.
|
ApiResponse<String> |
getAccessTokenViaLDAPWithHttpInfo(String serviceId,
String account,
String login,
String acceptEncoding,
String xRequestId,
String body)
Gets a short-lived access token for users and hosts using their LDAP identity to access the Conjur API.
|
String |
getAccessTokenViaOIDC(String serviceId,
String account)
Gets a short-lived access token for applications using OpenID Connect (OIDC) to access the Conjur API.
|
String |
getAccessTokenViaOIDC(String serviceId,
String account,
String xRequestId,
String idToken)
Gets a short-lived access token for applications using OpenID Connect (OIDC) to access the Conjur API.
|
okhttp3.Call |
getAccessTokenViaOIDCAsync(String serviceId,
String account,
String xRequestId,
String idToken,
ApiCallback<String> _callback)
Gets a short-lived access token for applications using OpenID Connect (OIDC) to access the Conjur API.
|
okhttp3.Call |
getAccessTokenViaOIDCCall(String serviceId,
String account,
String xRequestId,
String idToken,
ApiCallback _callback)
Build call for getAccessTokenViaOIDC
|
ApiResponse<String> |
getAccessTokenViaOIDCWithHttpInfo(String serviceId,
String account)
Gets a short-lived access token for applications using OpenID Connect (OIDC) to access the Conjur API.
|
ApiResponse<String> |
getAccessTokenViaOIDCWithHttpInfo(String serviceId,
String account,
String xRequestId,
String idToken)
Gets a short-lived access token for applications using OpenID Connect (OIDC) to access the Conjur API.
|
ApiResponse<String> |
getAccessTokenWithHttpInfo(String account,
String login,
String body)
Gets a short-lived access token, which is required in the header of most subsequent API requests.
|
ApiResponse<String> |
getAccessTokenWithHttpInfo(String account,
String login,
String body,
String acceptEncoding,
String xRequestId)
Gets a short-lived access token, which is required in the header of most subsequent API requests.
|
ApiClient |
getApiClient() |
String |
getAPIKey(String account)
Gets the API key of a user given the username and password via HTTP Basic Authentication.
|
String |
getAPIKey(String account,
String xRequestId)
Gets the API key of a user given the username and password via HTTP Basic Authentication.
|
okhttp3.Call |
getAPIKeyAsync(String account,
String xRequestId,
ApiCallback<String> _callback)
Gets the API key of a user given the username and password via HTTP Basic Authentication.
|
okhttp3.Call |
getAPIKeyCall(String account,
String xRequestId,
ApiCallback _callback)
Build call for getAPIKey
|
String |
getAPIKeyViaLDAP(String serviceId,
String account)
Gets the Conjur API key of a user given the LDAP username and password via HTTP Basic Authentication.
|
String |
getAPIKeyViaLDAP(String serviceId,
String account,
String xRequestId)
Gets the Conjur API key of a user given the LDAP username and password via HTTP Basic Authentication.
|
okhttp3.Call |
getAPIKeyViaLDAPAsync(String serviceId,
String account,
String xRequestId,
ApiCallback<String> _callback)
Gets the Conjur API key of a user given the LDAP username and password via HTTP Basic Authentication.
|
okhttp3.Call |
getAPIKeyViaLDAPCall(String serviceId,
String account,
String xRequestId,
ApiCallback _callback)
Build call for getAPIKeyViaLDAP
|
ApiResponse<String> |
getAPIKeyViaLDAPWithHttpInfo(String serviceId,
String account)
Gets the Conjur API key of a user given the LDAP username and password via HTTP Basic Authentication.
|
ApiResponse<String> |
getAPIKeyViaLDAPWithHttpInfo(String serviceId,
String account,
String xRequestId)
Gets the Conjur API key of a user given the LDAP username and password via HTTP Basic Authentication.
|
ApiResponse<String> |
getAPIKeyWithHttpInfo(String account)
Gets the API key of a user given the username and password via HTTP Basic Authentication.
|
ApiResponse<String> |
getAPIKeyWithHttpInfo(String account,
String xRequestId)
Gets the API key of a user given the username and password via HTTP Basic Authentication.
|
void |
k8sInjectClientCert(String serviceId,
String body)
For applications running in Kubernetes; sends Conjur a certificate signing request (CSR) and requests a client certificate injected into the application's Kubernetes pod.
|
void |
k8sInjectClientCert(String serviceId,
String body,
String hostIdPrefix,
String xRequestId)
For applications running in Kubernetes; sends Conjur a certificate signing request (CSR) and requests a client certificate injected into the application's Kubernetes pod.
|
okhttp3.Call |
k8sInjectClientCertAsync(String serviceId,
String body,
String hostIdPrefix,
String xRequestId,
ApiCallback<Void> _callback)
For applications running in Kubernetes; sends Conjur a certificate signing request (CSR) and requests a client certificate injected into the application's Kubernetes pod.
|
okhttp3.Call |
k8sInjectClientCertCall(String serviceId,
String body,
String hostIdPrefix,
String xRequestId,
ApiCallback _callback)
Build call for k8sInjectClientCert
|
ApiResponse<Void> |
k8sInjectClientCertWithHttpInfo(String serviceId,
String body)
For applications running in Kubernetes; sends Conjur a certificate signing request (CSR) and requests a client certificate injected into the application's Kubernetes pod.
|
ApiResponse<Void> |
k8sInjectClientCertWithHttpInfo(String serviceId,
String body,
String hostIdPrefix,
String xRequestId)
For applications running in Kubernetes; sends Conjur a certificate signing request (CSR) and requests a client certificate injected into the application's Kubernetes pod.
|
String |
rotateApiKey(String account)
Rotates a role's API key.
|
String |
rotateApiKey(String account,
String role,
String xRequestId)
Rotates a role's API key.
|
okhttp3.Call |
rotateApiKeyAsync(String account,
String role,
String xRequestId,
ApiCallback<String> _callback)
Rotates a role's API key.
|
okhttp3.Call |
rotateApiKeyCall(String account,
String role,
String xRequestId,
ApiCallback _callback)
Build call for rotateApiKey
|
ApiResponse<String> |
rotateApiKeyWithHttpInfo(String account)
Rotates a role's API key.
|
ApiResponse<String> |
rotateApiKeyWithHttpInfo(String account,
String role,
String xRequestId)
Rotates a role's API key.
|
void |
setApiClient(ApiClient apiClient) |
public AuthenticationApi()
public AuthenticationApi(ApiClient apiClient)
public ApiClient getApiClient()
public void setApiClient(ApiClient apiClient)
public okhttp3.Call changePasswordCall(String account, String body, String xRequestId, ApiCallback _callback) throws ApiException
account - Organization account name (required)body - New password (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 204 | The password has been changed | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public void changePassword(String account, String body, String xRequestId) throws ApiException
account - Organization account name (required)body - New password (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | The password has been changed | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public void changePassword(String account, String body) throws ApiException
account - Organization account namebody - New passwordApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | The password has been changed | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<Void> changePasswordWithHttpInfo(String account, String body, String xRequestId) throws ApiException
account - Organization account name (required)body - New password (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | The password has been changed | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<Void> changePasswordWithHttpInfo(String account, String body) throws ApiException
account - Organization account namebody - New passwordApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | The password has been changed | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call changePasswordAsync(String account, String body, String xRequestId, ApiCallback<Void> _callback) throws ApiException
account - Organization account name (required)body - New password (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 204 | The password has been changed | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call enableAuthenticatorCall(ServiceAuthenticators authenticator, String account, String xRequestId, Boolean enabled, ApiCallback _callback) throws ApiException
authenticator - The authenticator to update (required)account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)enabled - (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 204 | The config was updated properly | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public void enableAuthenticator(ServiceAuthenticators authenticator, String account, String xRequestId, Boolean enabled) throws ApiException
authenticator - The authenticator to update (required)account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)enabled - (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | The config was updated properly | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public void enableAuthenticator(ServiceAuthenticators authenticator, String account) throws ApiException
authenticator - The authenticator to updateaccount - Organization account nameApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | The config was updated properly | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<Void> enableAuthenticatorWithHttpInfo(ServiceAuthenticators authenticator, String account, String xRequestId, Boolean enabled) throws ApiException
authenticator - The authenticator to update (required)account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)enabled - (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | The config was updated properly | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<Void> enableAuthenticatorWithHttpInfo(ServiceAuthenticators authenticator, String account) throws ApiException
authenticator - The authenticator to updateaccount - Organization account nameApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | The config was updated properly | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call enableAuthenticatorAsync(ServiceAuthenticators authenticator, String account, String xRequestId, Boolean enabled, ApiCallback<Void> _callback) throws ApiException
authenticator - The authenticator to update (required)account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)enabled - (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 204 | The config was updated properly | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call enableAuthenticatorInstanceCall(ServiceAuthenticators authenticator, String serviceId, String account, String xRequestId, Boolean enabled, ApiCallback _callback) throws ApiException
authenticator - The authenticator to update (required)serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)enabled - (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 204 | The config was updated properly | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public void enableAuthenticatorInstance(ServiceAuthenticators authenticator, String serviceId, String account, String xRequestId, Boolean enabled) throws ApiException
authenticator - The authenticator to update (required)serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)enabled - (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | The config was updated properly | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public void enableAuthenticatorInstance(ServiceAuthenticators authenticator, String serviceId, String account) throws ApiException
authenticator - The authenticator to updateserviceId - URL-Encoded authenticator service IDaccount - Organization account nameApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | The config was updated properly | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<Void> enableAuthenticatorInstanceWithHttpInfo(ServiceAuthenticators authenticator, String serviceId, String account, String xRequestId, Boolean enabled) throws ApiException
authenticator - The authenticator to update (required)serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)enabled - (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | The config was updated properly | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<Void> enableAuthenticatorInstanceWithHttpInfo(ServiceAuthenticators authenticator, String serviceId, String account) throws ApiException
authenticator - The authenticator to updateserviceId - URL-Encoded authenticator service IDaccount - Organization account nameApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 204 | The config was updated properly | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call enableAuthenticatorInstanceAsync(ServiceAuthenticators authenticator, String serviceId, String account, String xRequestId, Boolean enabled, ApiCallback<Void> _callback) throws ApiException
authenticator - The authenticator to update (required)serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)enabled - (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 204 | The config was updated properly | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAPIKeyCall(String account, String xRequestId, ApiCallback _callback) throws ApiException
account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The response body is the API key | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAPIKey(String account, String xRequestId) throws ApiException
account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body is the API key | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAPIKey(String account) throws ApiException
account - Organization account nameApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body is the API key | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAPIKeyWithHttpInfo(String account, String xRequestId) throws ApiException
account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body is the API key | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAPIKeyWithHttpInfo(String account) throws ApiException
account - Organization account nameApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body is the API key | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAPIKeyAsync(String account, String xRequestId, ApiCallback<String> _callback) throws ApiException
account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The response body is the API key | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAPIKeyViaLDAPCall(String serviceId, String account, String xRequestId, ApiCallback _callback) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The response body is the API key | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAPIKeyViaLDAP(String serviceId, String account, String xRequestId) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body is the API key | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAPIKeyViaLDAP(String serviceId, String account) throws ApiException
serviceId - URL-Encoded authenticator service IDaccount - Organization account nameApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body is the API key | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAPIKeyViaLDAPWithHttpInfo(String serviceId, String account, String xRequestId) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body is the API key | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAPIKeyViaLDAPWithHttpInfo(String serviceId, String account) throws ApiException
serviceId - URL-Encoded authenticator service IDaccount - Organization account nameApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body is the API key | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAPIKeyViaLDAPAsync(String serviceId, String account, String xRequestId, ApiCallback<String> _callback) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The response body is the API key | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 422 | A request parameter was either missing or invalid. | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAccessTokenCall(String account, String login, String body, String acceptEncoding, String xRequestId, ApiCallback _callback) throws ApiException
account - Organization account name (required)login - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>` (required)body - API Key (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAccessToken(String account, String login, String body, String acceptEncoding, String xRequestId) throws ApiException
account - Organization account name (required)login - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>` (required)body - API Key (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAccessToken(String account, String login, String body) throws ApiException
account - Organization account namelogin - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>`body - API KeyApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAccessTokenWithHttpInfo(String account, String login, String body, String acceptEncoding, String xRequestId) throws ApiException
account - Organization account name (required)login - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>` (required)body - API Key (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAccessTokenWithHttpInfo(String account, String login, String body) throws ApiException
account - Organization account namelogin - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>`body - API KeyApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAccessTokenAsync(String account, String login, String body, String acceptEncoding, String xRequestId, ApiCallback<String> _callback) throws ApiException
account - Organization account name (required)login - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>` (required)body - API Key (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAccessTokenViaAWSCall(String serviceId, String account, String login, String body, String acceptEncoding, String xRequestId, ApiCallback _callback) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)login - URL-encoded login name. For hosts, the login name is `host/<host-id>` (required)body - AWS Signature header (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAccessTokenViaAWS(String serviceId, String account, String login, String body, String acceptEncoding, String xRequestId) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)login - URL-encoded login name. For hosts, the login name is `host/<host-id>` (required)body - AWS Signature header (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAccessTokenViaAWS(String serviceId, String account, String login, String body) throws ApiException
serviceId - URL-Encoded authenticator service IDaccount - Organization account namelogin - URL-encoded login name. For hosts, the login name is `host/<host-id>`body - AWS Signature headerApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAccessTokenViaAWSWithHttpInfo(String serviceId, String account, String login, String body, String acceptEncoding, String xRequestId) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)login - URL-encoded login name. For hosts, the login name is `host/<host-id>` (required)body - AWS Signature header (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAccessTokenViaAWSWithHttpInfo(String serviceId, String account, String login, String body) throws ApiException
serviceId - URL-Encoded authenticator service IDaccount - Organization account namelogin - URL-encoded login name. For hosts, the login name is `host/<host-id>`body - AWS Signature headerApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAccessTokenViaAWSAsync(String serviceId, String account, String login, String body, String acceptEncoding, String xRequestId, ApiCallback<String> _callback) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)login - URL-encoded login name. For hosts, the login name is `host/<host-id>` (required)body - AWS Signature header (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAccessTokenViaAzureCall(String serviceId, String account, String login, String acceptEncoding, String xRequestId, String jwt, ApiCallback _callback) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)login - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>` (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)jwt - (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAccessTokenViaAzure(String serviceId, String account, String login, String acceptEncoding, String xRequestId, String jwt) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)login - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>` (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)jwt - (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAccessTokenViaAzure(String serviceId, String account, String login) throws ApiException
serviceId - URL-Encoded authenticator service IDaccount - Organization account namelogin - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>`ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAccessTokenViaAzureWithHttpInfo(String serviceId, String account, String login, String acceptEncoding, String xRequestId, String jwt) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)login - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>` (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)jwt - (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAccessTokenViaAzureWithHttpInfo(String serviceId, String account, String login) throws ApiException
serviceId - URL-Encoded authenticator service IDaccount - Organization account namelogin - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>`ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAccessTokenViaAzureAsync(String serviceId, String account, String login, String acceptEncoding, String xRequestId, String jwt, ApiCallback<String> _callback) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)login - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>` (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)jwt - (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAccessTokenViaGCPCall(String account, String acceptEncoding, String xRequestId, String jwt, ApiCallback _callback) throws ApiException
account - Organization account name (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)jwt - (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The response body is the API key | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAccessTokenViaGCP(String account, String acceptEncoding, String xRequestId, String jwt) throws ApiException
account - Organization account name (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)jwt - (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body is the API key | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAccessTokenViaGCP(String account) throws ApiException
account - Organization account nameApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body is the API key | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAccessTokenViaGCPWithHttpInfo(String account, String acceptEncoding, String xRequestId, String jwt) throws ApiException
account - Organization account name (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)jwt - (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body is the API key | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAccessTokenViaGCPWithHttpInfo(String account) throws ApiException
account - Organization account nameApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response body is the API key | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAccessTokenViaGCPAsync(String account, String acceptEncoding, String xRequestId, String jwt, ApiCallback<String> _callback) throws ApiException
account - Organization account name (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)jwt - (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The response body is the API key | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAccessTokenViaJWTCall(String account, String serviceId, String xRequestId, String jwt, ApiCallback _callback) throws ApiException
account - Organization account name (required)serviceId - URL-Encoded authenticator service ID (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)jwt - (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAccessTokenViaJWT(String account, String serviceId, String xRequestId, String jwt) throws ApiException
account - Organization account name (required)serviceId - URL-Encoded authenticator service ID (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)jwt - (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAccessTokenViaJWT(String account, String serviceId) throws ApiException
account - Organization account nameserviceId - URL-Encoded authenticator service IDApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAccessTokenViaJWTWithHttpInfo(String account, String serviceId, String xRequestId, String jwt) throws ApiException
account - Organization account name (required)serviceId - URL-Encoded authenticator service ID (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)jwt - (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAccessTokenViaJWTWithHttpInfo(String account, String serviceId) throws ApiException
account - Organization account nameserviceId - URL-Encoded authenticator service IDApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAccessTokenViaJWTAsync(String account, String serviceId, String xRequestId, String jwt, ApiCallback<String> _callback) throws ApiException
account - Organization account name (required)serviceId - URL-Encoded authenticator service ID (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)jwt - (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAccessTokenViaJWTWithIdCall(String account, String id, String serviceId, String xRequestId, String jwt, ApiCallback _callback) throws ApiException
account - Organization account name (required)id - Organization user id (required)serviceId - URL-Encoded authenticator service ID (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)jwt - (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAccessTokenViaJWTWithId(String account, String id, String serviceId, String xRequestId, String jwt) throws ApiException
account - Organization account name (required)id - Organization user id (required)serviceId - URL-Encoded authenticator service ID (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)jwt - (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAccessTokenViaJWTWithId(String account, String id, String serviceId) throws ApiException
account - Organization account nameid - Organization user idserviceId - URL-Encoded authenticator service IDApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAccessTokenViaJWTWithIdWithHttpInfo(String account, String id, String serviceId, String xRequestId, String jwt) throws ApiException
account - Organization account name (required)id - Organization user id (required)serviceId - URL-Encoded authenticator service ID (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)jwt - (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAccessTokenViaJWTWithIdWithHttpInfo(String account, String id, String serviceId) throws ApiException
account - Organization account nameid - Organization user idserviceId - URL-Encoded authenticator service IDApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAccessTokenViaJWTWithIdAsync(String account, String id, String serviceId, String xRequestId, String jwt, ApiCallback<String> _callback) throws ApiException
account - Organization account name (required)id - Organization user id (required)serviceId - URL-Encoded authenticator service ID (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)jwt - (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAccessTokenViaKubernetesCall(String serviceId, String account, String login, String acceptEncoding, String xRequestId, ApiCallback _callback) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)login - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>` (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAccessTokenViaKubernetes(String serviceId, String account, String login, String acceptEncoding, String xRequestId) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)login - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>` (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAccessTokenViaKubernetes(String serviceId, String account, String login) throws ApiException
serviceId - URL-Encoded authenticator service IDaccount - Organization account namelogin - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>`ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAccessTokenViaKubernetesWithHttpInfo(String serviceId, String account, String login, String acceptEncoding, String xRequestId) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)login - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>` (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAccessTokenViaKubernetesWithHttpInfo(String serviceId, String account, String login) throws ApiException
serviceId - URL-Encoded authenticator service IDaccount - Organization account namelogin - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>`ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAccessTokenViaKubernetesAsync(String serviceId, String account, String login, String acceptEncoding, String xRequestId, ApiCallback<String> _callback) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)login - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>` (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAccessTokenViaLDAPCall(String serviceId, String account, String login, String acceptEncoding, String xRequestId, String body, ApiCallback _callback) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)login - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>` (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)body - API key (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAccessTokenViaLDAP(String serviceId, String account, String login, String acceptEncoding, String xRequestId, String body) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)login - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>` (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)body - API key (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public String getAccessTokenViaLDAP(String serviceId, String account, String login) throws ApiException
serviceId - URL-Encoded authenticator service IDaccount - Organization account namelogin - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>`ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAccessTokenViaLDAPWithHttpInfo(String serviceId, String account, String login, String acceptEncoding, String xRequestId, String body) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)login - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>` (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)body - API key (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public ApiResponse<String> getAccessTokenViaLDAPWithHttpInfo(String serviceId, String account, String login) throws ApiException
serviceId - URL-Encoded authenticator service IDaccount - Organization account namelogin - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>`ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAccessTokenViaLDAPAsync(String serviceId, String account, String login, String acceptEncoding, String xRequestId, String body, ApiCallback<String> _callback) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)login - URL-encoded login name. For users, it’s the user ID. For hosts, the login name is `host/<host-id>` (required)acceptEncoding - Setting the Accept-Encoding header to base64 will return a pre-encoded access token (optional, default to application/json)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)body - API key (optional)_callback - The callback to be executed when the API call finishesApiException - If fail to process the API call, e.g. serializing the request body object| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
| 500 | Malfromed request, rejected by the server | - |
public okhttp3.Call getAccessTokenViaOIDCCall(String serviceId, String account, String xRequestId, String idToken, ApiCallback _callback) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)idToken - (optional)_callback - Callback for upload/download progressApiException - If fail to serialize the request body object| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
public String getAccessTokenViaOIDC(String serviceId, String account, String xRequestId, String idToken) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)idToken - (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
public String getAccessTokenViaOIDC(String serviceId, String account) throws ApiException
serviceId - URL-Encoded authenticator service IDaccount - Organization account nameApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
public ApiResponse<String> getAccessTokenViaOIDCWithHttpInfo(String serviceId, String account, String xRequestId, String idToken) throws ApiException
serviceId - URL-Encoded authenticator service ID (required)account - Organization account name (required)xRequestId - Add an ID to the request being made so it can be tracked in Conjur. If not provided the server will automatically generate one. (optional)idToken - (optional)ApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
| 401 | Authentication information is missing or invalid | - |
| 404 | The requested resource does not exist, the authenticated user lacks the required privileges to enumerate this resource, or its value has not been set | - |
public ApiResponse<String> getAccessTokenViaOIDCWithHttpInfo(String serviceId, String account) throws ApiException
serviceId - URL-Encoded authenticator service IDaccount - Organization account nameApiException - If fail to call the API, e.g. server error or cannot deserialize the response body| Status Code | Description | Response Headers |
| 200 | The response is an access token for conjur | - |
| 400 | The server cannot process the request due to malformed request syntax | - |
[...]
